Subject: Re: What's cooking in git.git (Jun 2013, #07; Thu, 20)

From: Thomas Rast <[email-masked]>
Date: Sun, 23 Jun 2013 19:21:37 +0200

Junio C Hamano <[email-masked]> writes:

> * tr/test-v-and-v-subtest-only (2013-06-18) 8 commits
>  - test-lib: support running tests under valgrind in parallel
>  - test-lib: allow prefixing a custom string before "ok N" etc.
>  - test-lib: valgrind for only tests matching a pattern
>  - test-lib: verbose mode for only tests matching a pattern
>  - test-lib: self-test that --verbose works
>  - test-lib: rearrange start/end of test_expect_* and test_skip
>  - test-lib: refactor $GIT_SKIP_TESTS matching
>  - test-lib: enable MALLOC_* for the actual tests
>
>  Allows N instances of tests run in parallel, each running 1/N parts
>  of the test suite under Valgrind, to speed things up.
>
>  The tip two may be useful in practice but is a tad ugly ;-)
>
>  Will merge to 'next'.

Please hold off; Fredrik found an issue with the test automation that
bisects to "verbose mode for only tests matching a pattern"; when
running with the 'test' target (not with prove however), the suite
reports

  failed test(s):  

  fixed   0
  success 9788
  failed  2
  broken  69
  total   9989

Even worse, I botched a rebase that makes the commit before --
"self-test that --verbose works" untestable.  I'm pretty sure that it
has the same problem, too, though I'm still investigating the actual
issue.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch